Bug 230417 - [PATCH] databases/xtrabackup: Update to 2.4.12
Summary: [PATCH] databases/xtrabackup: Update to 2.4.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-06 19:00 UTC by Mark Felder
Modified: 2018-08-13 16:53 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (aleks)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2018-08-06 19:00:27 UTC
See review: https://reviews.freebsd.org/D16609
Comment 1 Aleksandr Kuzminsky 2018-08-12 21:14:20 UTC
approved
Comment 2 commit-hook freebsd_committer 2018-08-13 16:52:56 UTC
A commit references this bug:

Author: feld
Date: Mon Aug 13 16:51:58 UTC 2018
New revision: 477077
URL: https://svnweb.freebsd.org/changeset/ports/477077

Log:
  databases/xtrabackup: Update to 2.4.12

  - Disable version check functionality which is an information disclosure
  vulnerability as it posts system information and hostnames to
  https://v.percona.com

  PR:		230417
  Approved by:	maintainer
  MFH:		2018Q3
  Differential Revision:	https://reviews.freebsd.org/D16609

Changes:
  head/databases/xtrabackup/Makefile
  head/databases/xtrabackup/distinfo
  head/databases/xtrabackup/files/patch-sql-json_dom.h
  head/databases/xtrabackup/files/patch-storage-innobase-buf-buf0buf.cc
  head/databases/xtrabackup/files/patch-storage-innobase-dict-dict0stats.cc
  head/databases/xtrabackup/files/patch-storage-innobase-sync-sync0debug.cc
  head/databases/xtrabackup/files/patch-storage_innobase_xtrabackup_src_CMakeLists.txt
  head/databases/xtrabackup/files/patch-storage_innobase_xtrabackup_src_backup__copy.cc
  head/databases/xtrabackup/files/patch-storage_innobase_xtrabackup_src_xtrabackup.cc
Comment 3 commit-hook freebsd_committer 2018-08-13 16:52:58 UTC
A commit references this bug:

Author: feld
Date: Mon Aug 13 16:52:41 UTC 2018
New revision: 477078
URL: https://svnweb.freebsd.org/changeset/ports/477078

Log:
  MFH: r477077

  databases/xtrabackup: Update to 2.4.12

  - Disable version check functionality which is an information disclosure
  vulnerability as it posts system information and hostnames to
  https://v.percona.com

  PR:		230417
  Approved by:	maintainer
  Differential Revision:	https://reviews.freebsd.org/D16609

Changes:
_U  branches/2018Q3/
  branches/2018Q3/databases/xtrabackup/Makefile
  branches/2018Q3/databases/xtrabackup/distinfo
  branches/2018Q3/databases/xtrabackup/files/patch-sql-json_dom.h
  branches/2018Q3/databases/xtrabackup/files/patch-storage-innobase-buf-buf0buf.cc
  branches/2018Q3/databases/xtrabackup/files/patch-storage-innobase-dict-dict0stats.cc
  branches/2018Q3/databases/xtrabackup/files/patch-storage-innobase-sync-sync0debug.cc
  branches/2018Q3/databases/xtrabackup/files/patch-storage_innobase_xtrabackup_src_CMakeLists.txt
  branches/2018Q3/databases/xtrabackup/files/patch-storage_innobase_xtrabackup_src_backup__copy.cc
  branches/2018Q3/databases/xtrabackup/files/patch-storage_innobase_xtrabackup_src_xtrabackup.cc